package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: 全量班级信息
 * 全量班级信息
 *
 * @author auto create
 * @since 2.0.1 2023-12-25
 */
public class OrgClassOpenSeewoUcOpenV1ClassFullResult extends OpenApiResult {

    public OrgClassOpenSeewoUcOpenV1ClassFullResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private JSONResponseBody responseBody;


    public JSONResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(JSONResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class JSONResponseBody {
        /**
         * 班级uid
         */
        private String classUid;
        /**
         * 班级名称
         */
        private String className;
        /**
         * 班级类型，1-行政班/2-教学班
         */
        private Integer classType;
        /**
         * 年级，如9(九年级)
         */
        private Integer classGrade;
        /**
         * 学段，如CodeSchoolStage_0(小学)
         */
        private String stage;
        /**
         * 班级，如高（一）1班中的1
         */
        private Integer classNum;
        /**
         * 第几界班级
         */
        private Integer gradeYear;

        public String getClassUid() {
            return this.classUid;
        }

        public void setClassUid(String classUid) {
            this.classUid = classUid;
        }

        public String getClassName() {
            return this.className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public Integer getClassType() {
            return this.classType;
        }

        public void setClassType(Integer classType) {
            this.classType = classType;
        }

        public Integer getClassGrade() {
            return this.classGrade;
        }

        public void setClassGrade(Integer classGrade) {
            this.classGrade = classGrade;
        }

        public String getStage() {
            return this.stage;
        }

        public void setStage(String stage) {
            this.stage = stage;
        }

        public Integer getClassNum() {
            return this.classNum;
        }

        public void setClassNum(Integer classNum) {
            this.classNum = classNum;
        }

        public Integer getGradeYear() {
            return this.gradeYear;
        }

        public void setGradeYear(Integer gradeYear) {
            this.gradeYear = gradeYear;
        }

    }


}

